#357 Android support

critical
closed-accepted
android (1)
5
2015-02-03
2014-08-09
No

Howdy!

I recently tried building PDL on Android, but hit a bit of a snag of the OS, which caused the tests for Callext.pm to fail. On Android, transitive library dependencies don't quite work, so for example, if libperl.so links to libm.so, a binary linking to libperl will only get the functions from libm that libperl actually uses, and nothing more, which is not usually what one would expect.

Thankfully, the fix for this is super easy. On this line:

https://metacpan.org/source/CHM/PDL-2.007/Lib/CallExt/CallExt.pm#L203

instead of just checking for Windows, it also needs to check for Android, ala:

    my $libs = $^O =~ /MSWin|android/i ?

That gets all of the tests for PDL passing.

Related

Bugs: #357

Discussion

  • Chris Marshall

    Chris Marshall - 2014-08-09

    Thanks for the info. Will fix in git and it should appear
    in the next CPAN developers release. It would be
    very nice to add Android as a supported PDL platform.
    Would you be able to document what is needed and
    how it works? Does this work on smartphones? Is
    Android OS a 64bit platform that could use true 64bit
    index support in PDL?

    I would appreciate any help you can give. Please
    reply on the perldl mailing list so we can have a
    dialog with other PDL users and developers.

    Very cool! Thanks again. --Chris

    On Sat, Aug 9, 2014 at 6:52 AM, Brian Fraser hugbeer@users.sf.net wrote:


    [bugs:#357] Android support

    Status: open
    Group: critical
    Labels: android
    Created: Sat Aug 09, 2014 10:52 AM UTC by Brian Fraser
    Last Updated: Sat Aug 09, 2014 10:52 AM UTC
    Owner: nobody

    Howdy!

    I recently tried building PDL on Android, but hit a bit of a snag of the OS,
    which caused the tests for Callext.pm to fail. On Android, transitive
    library dependencies don't quite work, so for example, if libperl.so links
    to libm.so, a binary linking to libperl will only get the functions from
    libm that libperl actually uses, and nothing more, which is not usually what
    one would expect.

    Thankfully, the fix for this is super easy. On this line:

    https://metacpan.org/source/CHM/PDL-2.007/Lib/CallExt/CallExt.pm#L203

    instead of just checking for Windows, it also needs to check for Android,
    ala:

    my $libs = $^O =~ /MSWin|android/i ?
    

    That gets all of the tests for PDL passing.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/pdl/bugs/357/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #357

  • Chris Marshall

    Chris Marshall - 2014-08-09

    Fixed in git and will available in the next PDL release.

     
  • Chris Marshall

    Chris Marshall - 2014-08-09
    • status: open --> pending-fixed
    • assigned_to: Chris Marshall
     
  • Chris Marshall

    Chris Marshall - 2014-12-20

    Brian, could you verify that the fix in PDL-2.007_04 is correctly applied and works for you? I would like to close this ticket before PDL-2.008. Thanks.

     
  • Chris Marshall

    Chris Marshall - 2014-12-20
    • status: pending-fixed --> open
     
  • Chris Marshall

    Chris Marshall - 2015-01-05
    • status: open --> closed-accepted
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks